GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
cli_interp Class Referencefinal
Inheritance diagram for cli_interp:

## Public Member Functions
| cli_interp (const char *name)
void | init (bool top_level) override
void | resume () override
void | suspend () override
gdb_exception | exec (const char *command_str) override
ui_out * | interp_ui_out () override
Public Member Functions inherited from cli_interp_base
| cli_interp_base (const char *name)
virtual | ~cli_interp_base ()=0
void | set_logging (ui_file_up logfile, bool logging_redirect) override
void | pre_command_loop () override
bool | supports_command_editing () override
Public Member Functions inherited from interp
| interp (const char *name)
virtual | ~interp ()=0

## Public Attributes
cli_ui_out * | cli_uiout
Public Attributes inherited from interp
const char * | name
struct interp * | next
bool | inited

## Detailed Description

Definition at line 42 of file cli-interp.c.

## Constructor & Destructor Documentation

## ◆ cli_interp()

cli_interp::cli_interp | ( | const char * | name | ) |
| explicit

Definition at line 57 of file cli-interp.c.

References cli_out_new(), cli_uiout, and gdb_stdout.

## Member Function Documentation

## ◆ exec()

gdb_exception cli_interp::exec | ( | const char * | command_str | ) |
| override virtual

Implements interp.

Definition at line 329 of file cli-interp.c.

References cli_uiout, gdb_stdout, safe_execute_command(), and cli_ui_out::set_stream().

## ◆ init()

void cli_interp::init | ( | bool | top_level | ) |
| override virtual

Reimplemented from interp.

Definition at line 290 of file cli-interp.c.

## ◆ interp_ui_out()

ui_out * cli_interp::interp_ui_out | ( |  | ) |
| override virtual

Implements interp.

Definition at line 385 of file cli-interp.c.

References cli_uiout.

## ◆ resume()

void cli_interp::resume | ( |  | ) |
| override virtual

Implements interp.

Definition at line 295 of file cli-interp.c.

References cli_uiout, command_line_handler(), current_ui, gdb_setup_readline(), gdb_stdout, ui::input_handler, and cli_ui_out::set_stream().

## ◆ suspend()

void cli_interp::suspend | ( |  | ) |
| override virtual

Implements interp.

Definition at line 323 of file cli-interp.c.

References gdb_disable_readline().

## Member Data Documentation

## ◆ cli_uiout

cli_ui_out* cli_interp::cli_uiout

Definition at line 54 of file cli-interp.c.

Referenced by cli_interp(), cli_on_end_stepping_range(), cli_on_exited(), cli_on_no_history(), cli_on_normal_stop(), cli_on_signal_exited(), cli_on_signal_received(), cli_on_user_selected_context_changed(), exec(), interp_ui_out(), and resume().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/cli/cli-interp.c